import { createSSRApp } from 'vue'
import App from './App.vue'
import pinia from 'mocp/store'
import uviewPlus from 'uview-plus'
import * as message from 'mocp/utils/message'
import * as tool from 'mocp/utils/tool'
import * as jump from 'mocp/utils/jump'
//mocp消息提示
uni.$mocpMessage = message
//mocp工具方法
uni.$mocpTool = tool
//mocp页面跳转
uni.$mocpJump = jump
export function createApp() {
    const app = createSSRApp(App)
    app.use(pinia)
    app.use(uviewPlus)
    return {
        app
    }
}
